<template>
  <section>
    <div
      v-if="header"
      class="font-bold text-28px text-dark-blue pl-2 pb-1 mb-6 relative leading-none"
    >
      <svg-icon
        class="absolute left-0 bottom-0 z-0"
        style="width: 22px; height: 22px"
        name="icon-title"
      />
      <span class="relative">Mới nhất</span>
    </div>
    <div
      class="block-content space-y-4 md:pr-5 md:border-r md:border-solid md:border-gray-light"
    >
      <ItemList
        v-for="(item, index) in items"
        :key="'new_' + index"
        :item="item"
      />
    </div>
  </section>
</template>

<script>
export default {
  name: 'SectionNews',
  components: {
    ItemList: () => import('~/components/common/ItemList')
  },
  props: {
    header: {
      type: Boolean,
      default: true
    }
  },
  data() {
    return {
      items: [
        {
          title:
            'Đây sẽ là công ty trị giá 2.000 tỷ USD đầu tiên trên thế giới?',
          image: '/new-01.png',
          content:
            'Từng có thời gian, giới chuyên gia thế giới đã dự đoán hoạt động kinh doanh của Apple sẽ chững lại. Vào năm 2020, mọi thứ đã thay đổi.'
        },
        {
          title:
            'Đồng hồ thể thao định vị Suunto7 sở hữu Snapdragon Wear 3100, pin 12h',
          image: '/new-02.png',
          content:
            'Suunto 7 được đánh giá là thiết bị thể thao định vị đáng lưu tâm ở thời điểm hiện tại nhờ nhiều tính năng nổi bật.'
        },
        {
          title: 'Galaxy Z Flip đang giảm giá gần 15 triệu ở Việt Nam',
          image: '/new-03.png',
          content:
            'Nhiều hệ thống lớn ở Việt Nam đồng loạt giảm giá mạnh mẫu smartphone màn hình gập thế hệ thứ 2 của Samsung.'
        },
        {
          title:
            'Mỹ hoặc Trung Quốc, giới công nghệ buộc phải "chọn phe" để sống',
          image: '/new-04.png',
          content:
            'Lệnh cấm giao dịch mới nhất mà ông Trump áp lên TikTok và WeChat khiến Internet thế giới dần bị chia rẽ.'
        },
        {
          title:
            'Ông chủ hãng xe Mỹ kể chuyện bị Trung Quốc đánh cắp công nghệ',
          image: '/new-05.png',
          content:
            'Những phát minh về thiết kế, công nghệ và kỹ thuật của ông đã bị liên doanh tại Trung Quốc ăn cắp.'
        },
        {
          title: 'Bill Gates đưa ra lời "tiên tri" về TikTok',
          image: '/new-06.png',
          content:
            'Bill Gates cho rằng Microsoft quyết định bước vào cuộc chơi mạng xã hội sẽ khiến hãng phải đối mặt với cấp độ kiểm duyệt nội dung mới.'
        },
        {
          title: 'Các nhà khoa học đã tạo ra vật chất sáng nhất thế giới',
          image: '/new-07.png',
          content:
            'Bước đột phá trong điều chế thuốc nhuộm huỳnh quang giúp các nhà khoa học tạo ra vật chất sáng nhất từng tồn tại.'
        },
        {
          title: 'Tạm biệt laptop Toshiba',
          image: '/new-08.png',
          content:
            'Từng là một trong những nhà sản xuất máy tính hàng đầu, Toshiba tuyên bố ngừng mảng kinh doanh laptop và bán hết cổ phần cho Sharp.'
        }
      ]
    }
  }
}
</script>
